Summary:   NSS library for MySQL
Name:      libnss-maria
Version:   0.92
Release:   1%{?dist}
Source0:   https://github.com/istana/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
URL:       https://github.com/istana/libnss-maria
License:   GPLv3+ and MIT and CC-BY

BuildRequires: mariadb-devel, cmake, gcc-c++, libconfig-devel

%description
Store your UNIX user accounts in MySQL.

Replacement for old libnss-mysql as naming service library in Linux.

You can store user information in MariaDB/MySQL database. E.g. ls then
automatically shows user name from the database, getent shows users and
groups. Implements password, shadow and group getters.

%prep
%autosetup

%build
%cmake
%cmake_build

%install
rm -rf $RPM_BUILD_ROOT
# cmake_install does nothing, copy files manually as describe in docs
mkdir -p $RPM_BUILD_ROOT%{_libdir} $RPM_BUILD_ROOT%{_sysconfdir}
cp -af \
  %{__cmake_builddir}/src/libnss_maria.so.* \
  $RPM_BUILD_ROOT%{_libdir}/
cp -af \
  examples/sos-sso/libnss-maria.conf \
  examples/sos-sso/libnss-maria-root.conf \
  $RPM_BUILD_ROOT%{_sysconfdir}/

%check
%ctest

%ldconfig_scriptlets

%files
%license LICENSE
%doc README.md CHANGELOG.md
%doc examples
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/libnss-maria.conf
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/libnss-maria-root.conf
%{_libdir}/*.so.*

%changelog
* Mon Nov 30 06:52:58 CET 2020 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 0.92-1
- Initial release based on libnss-mysql.
